Company lists
Add Companies To List
Authorization
Bearer AuthorizationBearer <token>
In: header
Path Parameters
list_id
integerrequiredRequest Body
application/json
- company_idsarray<string>default: []
Company IDs (encrypted slugs) to add to the list
- company_namesarray<string>default: []deprecated
Company names to add to the list. Please don't use this filter anymore, use the
company_idsfilter instead.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.theirstack.com/v0/company_lists/0/add_companies" \ -H "Content-Type: application/json" \ -d '{}'{
"name": "string",
"id": 0,
"created_at": "2019-08-24T14:15:22Z",
"deletable": true,
"companies_count": 0,
"user_id": 0,
"type": "REVEALED_COMPANIES",
"webhook_id": 0
}{
"request_id": null,
"error": {
"code": "E-001",
"title": "Not allowed exception",
"description": "string"
}
}{
"request_id": null,
"error": {
"code": "E-001",
"title": "Not allowed exception",
"description": "string"
}
}{
"request_id": null,
"error": {
"code": "E-001",
"title": "Not allowed exception",
"description": "string"
}
}{
"request_id": null,
"error": {
"code": "E-001",
"title": "Not allowed exception",
"description": "string"
}
}How is this guide?
Last updated on
